Skip to main content
POST
/
api
/
v1
/
thumbnails
/
generate-variants
Generate Variants
curl --request POST \
  --url https://api.example.com/api/v1/thumbnails/generate-variants \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "headline": "<string>",
  "subtext": "",
  "num_variants": 3
}
'
{
  "variants": [
    {
      "index": 123,
      "headline": "<string>",
      "subtext": "<string>",
      "style": "<string>",
      "accent_color": "<string>",
      "image_url": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
headline
string
required
Required string length: 1 - 200
subtext
string
default:""
Maximum string length: 200
num_variants
integer
default:3
Required range: 1 <= x <= 5

Response

Successful Response

variants
ThumbnailVariantResponse · object[]
required